'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.BorderBox = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Checkbox = require('../Checkbox/Checkbox');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Flexible component for designing box models.
 */
var BorderBox = exports.BorderBox = function (_Component) {
	_inherits(BorderBox, _Component);

	function BorderBox(props) {
		_classCallCheck(this, BorderBox);

		var _this = _possibleConstructorReturn(this, (BorderBox.__proto__ || Object.getPrototypeOf(BorderBox)).call(this, props));

		_this.render = function () {
			return _react2.default.createElement(
				'table',
				{ className: 'cp-borderBox' },
				_react2.default.createElement(
					'tr',
					null,
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-selection cp-borderBox-selection--topLeft' },
						_react2.default.createElement(_Checkbox.Checkbox, { label: 'Top Left', hiddenLabel: true })
					),
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-selection cp-borderBox-selection--top' },
						_react2.default.createElement(_Checkbox.Checkbox, { label: 'Top', hiddenLabel: true })
					),
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-selection cp-borderBox-selection--topRight' },
						_react2.default.createElement(_Checkbox.Checkbox, { label: 'Top Right', hiddenLabel: true })
					)
				),
				_react2.default.createElement(
					'tr',
					null,
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-selection cp-borderBox-selection--left' },
						_react2.default.createElement(_Checkbox.Checkbox, { label: 'Left', hiddenLabel: true })
					),
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-contentBox' },
						_react2.default.createElement('div', { className: 'cp-borderBox-displayedBox\r cp-borderBox-displayedBox--top \r cp-borderBox-displayedBox--right \r cp-borderBox-displayedBox--bottom \r cp-borderBox-displayedBox--left \r cp-borderBox-displayedBox--topLeft \r cp-borderBox-displayedBox--topRight \r cp-borderBox-displayedBox--bottomLeft \r cp-borderBox-displayedBox--bottomRight' })
					),
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-selection cp-borderBox-selection--right' },
						_react2.default.createElement(_Checkbox.Checkbox, { label: 'Right', hiddenLabel: true })
					)
				),
				_react2.default.createElement(
					'tr',
					null,
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-selection cp-borderBox-selection--bottomLeft' },
						_react2.default.createElement(_Checkbox.Checkbox, { label: 'Bottom Left', hiddenLabel: true })
					),
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-selection cp-borderBox-selection--bottom' },
						_react2.default.createElement(_Checkbox.Checkbox, { label: 'Bottom', hiddenLabel: true })
					),
					_react2.default.createElement(
						'td',
						{ className: 'cp-borderBox-selection cp-borderBox-selection--bottomRight' },
						_react2.default.createElement(_Checkbox.Checkbox, { label: 'Bottom Right', hiddenLabel: true })
					)
				)
			);
		};

		_this.state = {};
		return _this;
	}

	return BorderBox;
}(_react.Component);

exports.default = BorderBox;